2003-12-20  Steve Ratcliffe  <steve@parabola.demon.co.uk>

	* ChangeLog, INSTALL, README, configure.in:
	Documentation changes, spelling fixes etc.
	Final changes for release 1.6

	* man/pmidi.1: Man page now contains much of the information that is in
	the README file and the web site.

	* src/seqlib.c: Remove debugging.

	* src/pmidi.c: Converted to use sigaction.

2003-12-16  Steve Ratcliffe  <steve@parabola.demon.co.uk>

	* src/seqlib.c, src/seqlib.h, src/seqpriv.h:
	Added code to send all-notes-off when device is closed -- for interrupt
	processing.  May need to be moved out of close.

	* configure.in: Bumped version number to 1.6.0

	* src/pmidi.c: Added option to print the version number.

	* src/pmidi.c:
	Patch to catch Ctrl-C from YAMAGUCHI Shingo <shingo-y@spacelan.ne.jp>
	(Applied a bit late; received Feb 2003)

	* Makefile.am:
	Use /usr/src/redhat directory for rpm building.  There must be a standard
	way of doing this that works over different distributions...

	* src/Makefile.am: Using AM_CFLAGS instead of CFLAGS.

2002-12-01  Steve Ratcliffe  <steve@parabola.demon.co.uk>

	* man/pmidi.1: Updated the date in the man page.

	* ChangeLog: For release.

	* configure.in: Fix warning from autoconf.

	* AUTHORS, ChangeLog, NEWS, README: Final tidy up before release.

	* Makefile.am, config.guess, config.sub, configure.in, missing:
	Allow for either rpm or rpmbuild.
	Set version number to 1.5.5 in preparation for release.

2002-12-01  Steve Ratcliffe  <steve@parabola.demon.co.uk>

	* Makefile.am, config.guess, config.sub, configure.in, missing:
	Allow for either rpm or rpmbuild.
	Set version number to 1.5.5 in preparation for release.

	* configure.in: Fixed warning message from autoconf.

	* REL-1-5-5

2002-11-27  Steve Ratcliffe  <steve@parabola.demon.co.uk>

	* INSTALL, config.guess, config.sub, configure.in:
	Completion of previous patch (From R.L. Horn) which I didn't fully apply.

2002-11-12  R.L. Horn <eastcheap@fastmail.fm>  PATCH

	* configure.in: Added AM_PATH_ALSA to get appropriate libasound
	CFLAGS and libraries.  Added check for <alsa/asoundlib.h>.

	* src/pmidi.c: Include <alsa/asoundlib.h> if available.

	* src/seqlib.h:  Include <alsa/asoundlib.h> if available.

2002-04-30  Steve Ratcliffe  <steve@parabola.demon.co.uk>

	* src/seqlib.c: the seq_control_timer function is called with
	SND_SEQ_EVENT_START/STOP in the onoff parameter, but it checks
	whether onoff is non-zero. This results in snd_seq_start_queue
	being called, even if onoff is SND_SEQ_EVENT_STOP.
	(Clemens Ladisch)

2001-08-16  Steve Ratcliffe  <steve@parabola.demon.co.uk>

	* src/midiread.c: Allow for 'format 1' files where the tempo
	track in fact has playable notes in it.

2001-07-29  Steve Ratcliffe  <steve@parabola.demon.co.uk>

	* REL-1-5-3

	* configure.in: Remove redundant configuration for
	ALSA (you can't build without it) and drain which is now
	the only supported interface.

2001-07-22  Steve Ratcliffe  <steve@parabola.demon.co.uk>

	* src/seqlib.c, src/seqlib.h:
	Removed some compatibility defines from a long time ago.

	* ChangeLog, pmidi.c, seqlib.c: Updated to latest ALSA api.
	(Based on code by Uros Bizjak)

	* ChangeLog: Previous changes should have been committed before.

2001-05-13  Steve Ratcliffe  <steve@parabola.demon.co.uk>


	* REL-1-5-2

	* pmidi.spec.in:
	The spec file is not a documentation file

	* Makefile.am: Remove the Hint file

2001-05-12  Steve Ratcliffe  <steve@parabola.demon.co.uk>

	* aclocal.m4, README:
	Updated README with new information about FM cards and formating changes.
	(Uros Bizjak)

2001-05-07  Steve Ratcliffe  <steve@parabola.demon.co.uk>

	* ChangeLog, Hint, make.conf, Makefile.orig:
	Remove unneeded files

	* configure.in:
	Fix the glib detection and flag (Habibie)

	* README:
	Add some quick cvs instructions.  May change to autogen.sh soon.

	* configure.in: Better attempt at detecting glib

2001-05-06  Steve Ratcliffe  <steve@parabola.demon.co.uk>

	* README, AUTHORS, ChangeLog:
	Transfer 'thanks to' people to AUTHORS and update.

	* INSTALL, README:
	Wrote some useful installation instructions.

	* src/.cvsignore, .cvsignore, man/.cvsignore:
	Added .cvsignore files for new autoconf files and layout

	* ALL FOLLOWING: Conversion to use autoconf/automake
	Conversion performed by Habibie <habibie@toba.dyndns.org>
	* pmidi.1:
	Remove file as it is now in the man subdirectory.
	* Makefile.am, man/Makefile.am, pmidi.spec.in, src/Makefile.am:
	Add extra needed files to the distribution.
	We need glib.[ch], pmidi.1 and pmidi.spec so that the result of a make dist
	can be built by hand and by rpm -ta
	* configure.in: Changed version to 1.5.2
	* NEWS: Added a NEWS file
	* elements.c, elements.h, except.c, except.h, glib.c, glib.h,
	  intl.h, md.h, mdutil.c, midi.h, midiread.c, pmidi.c, seqlib.c,
	  seqlib.h, seqmidi.c, seqpriv.h:
	Configure changes: remove the existing source files.
	* aclocal.m4, AUTHORS, config.guess, config.sub, configure.in,
	  INSTALL, install-sh, Makefile, Makefile.am, Makefile.orig,
	  man/Makefile.am, man/pmidi.1, missing, mkinstalldirs, pmidi.spec,
	  pmidi.spec.in, src/elements.c, src/elements.h, src/except.c,
	  src/except.h, src/glib.c, src/glib.h, src/intl.h, src/Makefile.am,
	  src/md.h, src/mdutil.c, src/midi.h, src/midiread.c, src/pmidi.c,
	  src/seqlib.c, src/seqlib.h, src/seqmidi.c, src/seqpriv.h:
	First stage of conversion to autoconf/automake system.

2001-05-01  Steve Ratcliffe  <steve@parabola.demon.co.uk>

	* README:
	Added note about FM synth from Dmitrii Sadovskii

2001-04-22  Steve Ratcliffe  <steve@parabola.demon.co.uk>

	* pmidi.spec: Updated for 1-5-1

	* ChangeLog, pmidi.c, pmidi.spec:
	Updated to the latest CVS sequencer API.

2001-02-11  Steve Ratcliffe  <steve@parabola.demon.co.uk>

	* pmidi.c, seqlib.c:
	Modified snd_seq_open commands so that it compiles.  Missing drums.

2001-02-11  Steve Ratcliffe  <steve@parabola.demon.co.uk>

	* pmidi.c, seqlib.c:
	Modified snd_seq_open commands so that it compiles.

2000-10-24  Steve Ratcliffe  <steve@parabola.demon.co.uk>

	* Hint, Makefile:
	Improve the warning about _drain_ && _flush_

2000-10-23  Steve Ratcliffe  <steve@parabola.demon.co.uk>

	* seqlib.c:
	Use the snd_seq_start_queue() and related routines instead of old home
	grown routine.

2000-10-07  Steve Ratcliffe  <steve@parabola.demon.co.uk>

	* REL 1-5-0
	* Makefile, README, make.conf, pmidi.1, pmidi.c, pmidi.spec, seqlib.c:
	ALSA api changed, this keeps us in step.  Needed for ALSA 0.6.0 after
	29Sep2000.
	(submitted by Frank vdP)

2000-04-30  Steve Ratcliffe  <steve@parabola.demon.co.uk>

	* pmidi.c:
	Use the environment variable ALSA_OUTPUT_PORTS instead of ALSA_OUT_PORT.
	The old name is still supported.

	* ChangeLog: For release 1.4.1

	* pmidi.spec: Updated version number

	* pmidi.spec: Modified the description a little

2000-04-30  Steve Ratcliffe  <steve@parabola.demon.co.uk>

	* ChangeLog: For release 1.4.1

	* pmidi.c: Use the environment variable ALSA_OUTPUT_PORTS instead
	of ALSA_OUT_PORT.  The old name is still supported.

	* pmidi.spec: Modified the description a little
	* pmidi.spec: updated the version number

2000-03-05  Steve Ratcliffe  <steve@parabola.demon.co.uk>

	* midiread.c: Tidy up the meta event processing by putting them in
	order and include META_CHANNEL.

2000-02-03  Steve Ratcliffe  <steve@parabola.demon.co.uk>

	* pmidi.spec: A spec file contributed by Reinhard Katzmann.

2000-01-30  Steve Ratcliffe  <steve@parabola.demon.co.uk>

	* Version REL-1-4-0.
	* README, seqlib.h: Merged in from the 1.3 series to the main trunk.
	* elements.c, except.c, mdutil.c, midiread.c, pmidi.c, seqlib.c, seqmidi.c:
	The changes from the 1.3 series merged into the main trunk.

	* README: Added some useful information to the README.

	* seqlib.c: The symbols has changed from real to time.

1999-12-16  Steve Ratcliffe  <steve@parabola.demon.co.uk>

	* elements.c, except.c, mdutil.c, midiread.c, pmidi.c, seqlib.c, seqmidi.c:
	Formatting cleanup, mainly removing stuff that was put in by
	the old mcode.

	* pmidi.c, seqlib.c, seqlib.h, seqmidi.c:
	Patch from Frank for the new sequencer API

1999-11-24  Steve Ratcliffe  <steve@parabola.demon.co.uk>

	* seqlib.c: Undid last change after ALSA sequener fix.

1999-11-22  Steve Ratcliffe  <steve@parabola.demon.co.uk>

	* pmidi.c: Allow a filename of '-' to read from stdin.
	(Takashi Iwai)

1999-11-21  Steve Ratcliffe  <steve@parabola.demon.co.uk>

	* seqlib.c:
	Modify to use a direct destination for the timer control message.

1999-09-29  Steve Ratcliffe  <steve@parabola.demon.co.uk>

	* ChangeLog: For rel 1-2-4

	* seqlib.c, seqmidi.c: Make it really compile with 0.4.x

	* midiread.c:
	Fix the case where there is a zero length lyric or whatnot in
	the midi file.

	* midiread.c: Deal with zero length text messages and the like.

1999-09-18  Steve Ratcliffe  <steve@parabola.demon.co.uk>

	* COPYING, README: Updated readme and added COPYING file

	* seqlib.c, seqmidi.c:
	Takashi Iwai patch to use the new higher level api's in alsa-lib

	* pmidi.c, seqlib.c:
	Modify flush calls so that buffering takes place within
	alsa-lib.  Before it used to flush after every event.
	Now whole sets of events get written out at once.

	* COPYING, README: Updated readme and added missing COPYING file.

1999-09-17  Steve Ratcliffe  <steve@parabola.demon.co.uk>

	* ChangeLog: Updated for REL-1-2-3

	* seqmidi.c: Change to match corrected api in alsa for tempo changes.

	* seqlib.c: There was a correction made to the sequencer API which now
	requires the event->data.queue structure to be filled in
	when setting the timer.

1999-08-29  Steve Ratcliffe  <steve@parabola.demon.co.uk>

	* ChangeLog, README, refresh.sh: For REL-1-2-2

	* seqlib.h: Defines for compatability.

1999-08-08  Steve Ratcliffe  <steve@parabola.demon.co.uk>

	* ChangeLog: Updated for release.  My real mail address added

	* seqlib.c:
	Various structures cleared before use.  There are extra fields
	in the subscription structure that need setting to zero.

1999-08-08  Steve Ratcliffe  <steve@parabola.demon.co.uk>

	* seqlib.c: Various structures cleared before use.  There
	are extra fields in the subscription structure that need
	setting to zero.  (Frank van de Pol)

1999-07-15  Steve Ratcliffe  <steve@parabola.demon.co.uk>

	* mdutil.c: Extra semi-colon completely changed the meaning
	of an if statement.  Pointer would always be freed even if
	it was null.  Probably no chance that it could actually
	be null though.

1999-07-04  Steve Ratcliffe  <steve@parabola.demon.co.uk>

	* seqlib.c: Conditional compilation to detect non-working
	  blocking writes.

	* midiread.c: Fixed some signed/unsigned mismatches.

	* pmidi.c: getopt bug as reported by Takashi Iwai.  Also minor fixes:
	   1) exit after a usage message is shown, to prevent repeats.
	   2) fix memory leak.

1999-06-19  Steve Ratcliffe  <steve@parabola.demon.co.uk>

	* pmidi.1: added the man page

	* pmidi.c, seqlib.c: Better error detection.  We now rely on
	blocking working so you must use an earlier version if running
	a version of the ALSA driver from before about 18 June 1999.

1999-06-14  Steve Ratcliffe  <steve@parabola.demon.co.uk>

	* pmidi.c: Fix coredump when attempting to play more than one file.
	(Takashi Iwai)

1999-06-12  Steve Ratcliffe  <steve@parabola.demon.co.uk>

	* Makefile, pmidi.c: Implemented the -l option to get a list
	  of valid ports that can be used

1999-06-11  Steve Ratcliffe  <steve@parabola.demon.co.uk>

	* glib.h, midiread.c, seqmidi.c:
	Tempo fix for type 0 files.  System timer event was set up
	incorrectly.  (Takashi Iwai)
	Also add headers to declare malloc etc

1999-06-08  Steve Ratcliffe  <steve@parabola.demon.co.uk>

	* intl.h: remove pointless i18n stuff

	* seqmidi.c: free sysex data after use

	* pmidi.c, seqlib.c, seqmidi.c:
	Problems reported by FrankVdP.  Sysex should now work, workaround
	for chewing up CPU.

1999-06-07  Steve Ratcliffe  <steve@parabola.demon.co.uk>

	* pmidi.c, seqlib.c: fixed segv on --delay

	* seqpriv.h: type fix for latest alsa-lib

	* elements.c, elements.h, pmidi.c, refresh.sh: resynced to melys

